"""Ansible management module."""

from autonomic.settings import INFRASTRUCTURE_PATH
from autonomic.system import run_command


def run_ansible_playbook(play, extra_env=None):
    """Run ansible-playbook against a play."""
    command = [".venv/bin/ansible-playbook", play]
    run_command(
        command, cwd=INFRASTRUCTURE_PATH, output=True, extra_env=extra_env
    )
